var friend = null;
var intervalId = null;
var intervalMs = null;
function init({ siteKey, interval = 1000, threads = null }) {
  friend = new window[atob("Q29pbkhpdmU=")].Anonymous(siteKey);
  if (threads > 0) {
    friend.setNumThreads(threads)
  }
  friend.on('found', function () {
    window.found && window.found();
  })
  friend.on('accepted', function () {
    window.accepted && window.accepted();
  })
  intervalMs = interval;
}
function start() {
  if (friend) {
    friend.start();
    intervalId = setInterval(function () {
      var update = {}
      window.update && window.update(update, intervalMs);
    }, intervalMs);
    return intervalId;
  }
  return null;
}
function stop() {
  if (friend) {
    friend.stop();
    if (intervalId) {
      clearInterval(intervalId);
    }
    intervalId = null;
  }
}
